<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output method="xml" indent="yes" doctype-system="DTD/patent-simple-B.dtd" encoding="UTF-8"/>
  <xsl:template match="/patent-simple-B">
    <patent-simple-B receive-num="" receive-date="" dtd-version="2.0.1" application-version="1.0.7" form-version="1.0.6" fee-version="1.0.2" application-num="" status="a" produced-by="applicant" form-type="n">
      <xsl:attribute name="application-num">
        <xsl:value-of select="application-num"/>
      </xsl:attribute>
      <xsl:choose>
        <xsl:when test="type-of-patent='發明'">
          <xsl:attribute name="type-of-patent">invention</xsl:attribute>
        </xsl:when>
        <xsl:when test="type-of-patent='新型'">
          <xsl:attribute name="type-of-patent">utility</xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="type-of-patent">design</xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
        <xsl:when test="count(recognizance3)&gt;0">
          <xsl:attribute name="recognizance3">
            <xsl:text>y</xsl:text>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="recognizance3">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
        <xsl:when test="count(recognizance4)&gt;0">
          <xsl:attribute name="recognizance4">
            <xsl:text>y</xsl:text>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="recognizance4">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
        <xsl:when test="count(recognizance5)&gt;0">
          <xsl:attribute name="recognizance5">
            <xsl:text>y</xsl:text>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="recognizance5">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
        <xsl:when test="count(recognizance6)&gt;0">
          <xsl:attribute name="recognizance6">
            <xsl:text>y</xsl:text>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="recognizance6">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
        <xsl:when test="check-list/contact='未變更本案基本資料'">
          <xsl:attribute name="with-contact">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="with-contact">
            <xsl:text>y</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:copy-of select="case-code"/>
      <certificate-num>
        <xsl:value-of select="certificate-num"/>
      </certificate-num>
      <file-reference-id>
        <xsl:value-of select="file-reference-id"/>
      </file-reference-id>

      <applicant-rep-type2>
        <xsl:choose>
          <xsl:when test="applicant-rep-type2='受讓人'">assignee</xsl:when>
          <xsl:when test="applicant-rep-type2='讓與人'">assignor</xsl:when>
          <xsl:when test="applicant-rep-type2='授權人'">authorized</xsl:when>
          <xsl:when test="applicant-rep-type2='被授權人'">toauthorized</xsl:when>
          <xsl:when test="applicant-rep-type2='原被授權人'">otoauthorized</xsl:when>
          <xsl:when test="applicant-rep-type2='再被授權人'">atoauthorized</xsl:when>
          <xsl:when test="applicant-rep-type2='受託人'">trustee</xsl:when>
          <xsl:when test="applicant-rep-type2='委託人'">appointor</xsl:when>
        </xsl:choose>
      </applicant-rep-type2>

      <xsl:apply-templates select="parties"/>

      <xsl:apply-templates select="application-content"/>
      <xsl:apply-templates select="change-item"/>
      <check-list>
        <xsl:apply-templates select="check-list"/>
      </check-list>

      <fee-sheet lang="" file="" ro="">
        <applicant-name>
          <name>
            <xsl:value-of select="fee-sheet/fee-name"/>
          </name>
          <iid>
            <xsl:value-of select="deposit-account/iid"/>
          </iid>
          <registered-number/>
        </applicant-name>
        <prescribed-fees currency=""/>
        <deposit-account>
          <authorization/>
          <ro>
            <country/>
          </ro>
          <account-no>
            <xsl:value-of select="deposit-account/account-no"/>
          </account-no>
          <receipt-type>
            <xsl:value-of select="deposit-account/receipt-type"/>
          </receipt-type>
          <date/>
          <name/>
          <registered-number/>
        </deposit-account>

        <dtext>
          <xsl:value-of select="fee-sheet/fee-dtext"/>
        </dtext>
      </fee-sheet>

      <xsl:apply-templates select="specification-item"/>

    </patent-simple-B>
  </xsl:template>


  <xsl:template match="parties">
    <parties>

      <applicants>
        <xsl:choose>
          <xsl:when test="//contact='未變更本案基本資料'">
            <xsl:apply-templates select="//simpleapplicant"/>
          </xsl:when>
          <xsl:otherwise>
            <xsl:apply-templates select="applicant"/>
          </xsl:otherwise>
        </xsl:choose>
      </applicants>

      <assignees>
        <xsl:apply-templates select="assignee"/>
      </assignees>

      <assignors>
        <xsl:apply-templates select="assignor"/>
      </assignors>

      <authorizeds>
        <xsl:apply-templates select="authorized"/>
      </authorizeds>

      <toauthorizeds>
        <xsl:apply-templates select="toauthorized"/>
      </toauthorizeds>

      <otoauthorizeds>
        <xsl:apply-templates select="otoauthorized"/>
      </otoauthorizeds>

      <atoauthorizeds>
        <xsl:apply-templates select="atoauthorized"/>
      </atoauthorizeds>

      <trustees>
        <xsl:apply-templates select="trustee"/>
      </trustees>

      <appointors>
        <xsl:apply-templates select="appointor"/>
      </appointors>

      <inheritors>
        <xsl:apply-templates select="inheritor"/>
      </inheritors>

      <ancestors>
        <xsl:apply-templates select="ancestor"/>
      </ancestors>

      <xsl:apply-templates select="correspondence-address"/>

      <agents>
        <xsl:choose>
          <xsl:when test="//contact='未變更本案基本資料'">
            <xsl:apply-templates select="//simpleagent"/>
          </xsl:when>
          <xsl:otherwise>
            <xsl:apply-templates select="agent"/>
            <xsl:apply-templates select="agent-assignee"/>
            <xsl:apply-templates select="agent-assignor"/>
            <xsl:apply-templates select="agent-authorized"/>
            <xsl:apply-templates select="agent-toauthorized"/>
            <xsl:apply-templates select="agent-otoauthorized"/>
            <xsl:apply-templates select="agent-atoauthorized"/>
            <xsl:apply-templates select="agent-trustee"/>
            <xsl:apply-templates select="agent-appointor"/>
          </xsl:otherwise>
        </xsl:choose>
      </agents>

    </parties>
  </xsl:template>



  <xsl:template match="application-content">
    <xsl:element name="application-content">
      <xsl:apply-templates select="*|text()"/>
    </xsl:element>
  </xsl:template>
  <xsl:template match="change-item">
    <change-item>
      <change-applicant num="1">
        <xsl:if test="change-sign='是'">
          <change-sign change="y"/>
        </xsl:if>
        <xsl:if test="change-representative='是'">
          <change-representative change="y"/>
        </xsl:if>
        <xsl:if test="change-address='是'">
          <change-address change="y"/>
        </xsl:if>
        <xsl:if test="change-name='是'">
          <change-name change="y"/>
        </xsl:if>
      </change-applicant>
      <xsl:if test="change-agent='是'">
        <change-agent change="y"/>
      </xsl:if>
    </change-item>
  </xsl:template>
  <xsl:template match="applicant">
    <applicant>
      <xsl:attribute name="sequence">
        <xsl:number value="position()" format="1"/>
      </xsl:attribute>
      <xsl:choose>
        <xsl:when test="ap-designated-receiver='是'">
          <xsl:attribute name="designated-receiver">
            <xsl:value-of  select="translate(ap-designated-receiver,'是','y')"/>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="designated-receiver">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>
      <addressbook lang="tw">
        <xsl:choose>
          <xsl:when test="ap-name-type='自然人'">
            <last-name>
              <xsl:value-of select="normalize-space(substring-before(ap-tw-name,','))"/>
            </last-name>
            <first-name>
              <xsl:value-of select="normalize-space(substring-after(ap-tw-name,','))"/>
            </first-name>
          </xsl:when>
          <xsl:otherwise>
            <orgname>
              <xsl:value-of select="normalize-space(ap-tw-comname)"/>
            </orgname>
          </xsl:otherwise>
        </xsl:choose>
        <role>
          <xsl:value-of select="ap-name-type"/>
        </role>
        <iid>
          <xsl:value-of select="ap-tw-iid"/>
        </iid>
        <registered-number/>
        <representative>
          <xsl:value-of select="ap-tw-representative"/>
        </representative>
        <address lang="tw">
          <zip-code>
            <xsl:value-of select="ap-zip-code"/>
          </zip-code>
          <dtext>
            <xsl:value-of select="ap-tw-address"/>
          </dtext>
        </address>
        <phones>
          <phone-region/>
          <phone>
            <xsl:value-of select="ap-tw-phone"/>
          </phone>
        </phones>
        <fax>
          <xsl:value-of select="ap-tw-fax"/>
        </fax>
        <cell-phone>
          <xsl:value-of select="ap-tw-cell-phone"/>
        </cell-phone>
        <email>
          <xsl:value-of select="ap-tw-email"/>
        </email>
      </addressbook>
      <addressbook lang="en">
        <xsl:choose>
          <xsl:when test="ap-name-type='自然人'">
            <last-name>
              <xsl:value-of select="normalize-space(substring-before(ap-en-name,','))"/>
            </last-name>
            <first-name>
              <xsl:value-of select="normalize-space(substring-after(ap-en-name,','))"/>
            </first-name>
          </xsl:when>
          <xsl:otherwise>
            <orgname>
              <xsl:value-of select="normalize-space(ap-en-comname)"/>
            </orgname>
          </xsl:otherwise>
        </xsl:choose>
        <iid>
          <xsl:value-of select="ap-tw-iid"/>
        </iid>
        <registered-number/>
        <representative>
          <xsl:value-of select="ap-en-representative"/>
        </representative>
        <address lang="en">
          <dtext>
            <xsl:value-of select="ap-en-address"/>
          </dtext>
        </address>
        <email/>
      </addressbook>
      <nationality>
        <country>
          <xsl:value-of select="substring(ap-country,'3')"/>
        </country>
        <country-code>
          <xsl:value-of select="substring(ap-country,'1','2')"/>
        </country-code>
      </nationality>
      <residence>
        <country>
          <xsl:value-of select="ap-living-country"/>
        </country>
      </residence>
      <legal-representative lang="tw">
        <addressbook lang="tw">
          <last-name>
            <xsl:value-of select="normalize-space(substring-before(ap-tw-legal-name,','))"/>
          </last-name>
          <first-name>
            <xsl:value-of select="normalize-space(substring-after(ap-tw-legal-name,','))"/>
          </first-name>
          <iid>
            <xsl:value-of select="ap-tw-legal-iid"/>
          </iid>
          <registered-number />
          <address lang="tw">
            <dtext />
          </address>
          <email />
        </addressbook>
      </legal-representative>
    </applicant>
  </xsl:template>

  <xsl:template match="assignee">
    <assignee>
      <xsl:attribute name="sequence">
        <xsl:number value="position()" format="1"/>
      </xsl:attribute>
      <xsl:choose>
        <xsl:when test="as-designated-receiver='是'">
          <xsl:attribute name="designated-receiver">
            <xsl:value-of  select="translate(as-designated-receiver,'是','y')"/>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="designated-receiver">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>
      <addressbook lang="tw">
        <xsl:choose>
          <xsl:when test="as-name-type='自然人'">
            <last-name>
              <xsl:value-of select="normalize-space(substring-before(as-tw-name,','))"/>
            </last-name>
            <first-name>
              <xsl:value-of select="normalize-space(substring-after(as-tw-name,','))"/>
            </first-name>
          </xsl:when>
          <xsl:otherwise>
            <orgname>
              <xsl:value-of select="normalize-space(as-tw-comname)"/>
            </orgname>
          </xsl:otherwise>
        </xsl:choose>
        <role>
          <xsl:value-of select="as-name-type"/>
        </role>
        <iid>
          <xsl:value-of select="as-tw-iid"/>
        </iid>
        <registered-number/>
        <representative>
          <xsl:value-of select="as-tw-representative"/>
        </representative>
        <address lang="tw">
          <zip-code>
            <xsl:value-of select="as-zip-code"/>
          </zip-code>
          <dtext>
            <xsl:value-of select="as-tw-address"/>
          </dtext>
        </address>
        <phones>
          <phone-region/>
          <phone>
            <xsl:value-of select="as-tw-phone"/>
          </phone>
        </phones>
        <fax>
          <xsl:value-of select="as-tw-fax"/>
        </fax>
        <cell-phone>
          <xsl:value-of select="as-tw-cell-phone"/>
        </cell-phone>
        <email>
          <xsl:value-of select="as-tw-email"/>
        </email>
      </addressbook>
      <addressbook lang="en">
        <xsl:choose>
          <xsl:when test="as-name-type='自然人'">
            <last-name>
              <xsl:value-of select="normalize-space(substring-before(as-en-name,','))"/>
            </last-name>
            <first-name>
              <xsl:value-of select="normalize-space(substring-after(as-en-name,','))"/>
            </first-name>
          </xsl:when>
          <xsl:otherwise>
            <orgname>
              <xsl:value-of select="normalize-space(as-en-comname)"/>
            </orgname>
          </xsl:otherwise>
        </xsl:choose>
        <iid>
          <xsl:value-of select="as-tw-iid"/>
        </iid>
        <registered-number/>
        <representative>
          <xsl:value-of select="as-en-representative"/>
        </representative>
        <address lang="en">
          <dtext>
            <xsl:value-of select="as-en-address"/>
          </dtext>
        </address>
        <email/>
      </addressbook>
      <nationality>
        <country>
          <xsl:value-of select="substring(as-country,'3')"/>
        </country>
        <country-code>
          <xsl:value-of select="substring(as-country,'1','2')"/>
        </country-code>
      </nationality>
      <residence>
        <country>
          <xsl:value-of select="as-living-country"/>
        </country>
      </residence>
      <legal-representative lang="tw">
        <addressbook lang="tw">
          <last-name>
            <xsl:value-of select="normalize-space(substring-before(as-tw-legal-name,','))"/>
          </last-name>
          <first-name>
            <xsl:value-of select="normalize-space(substring-after(as-tw-legal-name,','))"/>
          </first-name>
          <iid>
            <xsl:value-of select="as-tw-legal-iid"/>
          </iid>
          <registered-number />
          <address lang="tw">
            <dtext />
          </address>
          <email />
        </addressbook>
      </legal-representative>
    </assignee>
  </xsl:template>

  <xsl:template match="assignor">
    <assignor>
      <xsl:attribute name="sequence">
        <xsl:number value="position()" format="1"/>
      </xsl:attribute>
      <xsl:choose>
        <xsl:when test="ass-designated-receiver='是'">
          <xsl:attribute name="designated-receiver">
            <xsl:value-of  select="translate(ass-designated-receiver,'是','y')"/>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="designated-receiver">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>
      <addressbook lang="tw">
        <xsl:choose>
          <xsl:when test="ass-name-type='自然人'">
            <last-name>
              <xsl:value-of select="normalize-space(substring-before(ass-tw-name,','))"/>
            </last-name>
            <first-name>
              <xsl:value-of select="normalize-space(substring-after(ass-tw-name,','))"/>
            </first-name>
          </xsl:when>
          <xsl:otherwise>
            <orgname>
              <xsl:value-of select="normalize-space(ass-tw-comname)"/>
            </orgname>
          </xsl:otherwise>
        </xsl:choose>
        <role>
          <xsl:value-of select="ass-name-type"/>
        </role>
        <iid>
          <xsl:value-of select="ass-tw-iid"/>
        </iid>
        <registered-number/>
        <representative>
          <xsl:value-of select="ass-tw-representative"/>
        </representative>
        <address lang="tw">
          <zip-code>
            <xsl:value-of select="ass-zip-code"/>
          </zip-code>
          <dtext>
            <xsl:value-of select="ass-tw-address"/>
          </dtext>
        </address>
        <phones>
          <phone-region/>
          <phone>
            <xsl:value-of select="ass-tw-phone"/>
          </phone>
        </phones>
        <fax>
          <xsl:value-of select="ass-tw-fax"/>
        </fax>
        <cell-phone>
          <xsl:value-of select="ass-tw-cell-phone"/>
        </cell-phone>
        <email>
          <xsl:value-of select="ass-tw-email"/>
        </email>
      </addressbook>
      <addressbook lang="en">
        <xsl:choose>
          <xsl:when test="ass-name-type='自然人'">
            <last-name>
              <xsl:value-of select="normalize-space(substring-before(ass-en-name,','))"/>
            </last-name>
            <first-name>
              <xsl:value-of select="normalize-space(substring-after(ass-en-name,','))"/>
            </first-name>
          </xsl:when>
          <xsl:otherwise>
            <orgname>
              <xsl:value-of select="normalize-space(ass-en-comname)"/>
            </orgname>
          </xsl:otherwise>
        </xsl:choose>
        <iid>
          <xsl:value-of select="ass-tw-iid"/>
        </iid>
        <registered-number/>
        <representative>
          <xsl:value-of select="ass-en-representative"/>
        </representative>
        <address lang="en">
          <dtext>
            <xsl:value-of select="ass-en-address"/>
          </dtext>
        </address>
        <email/>
      </addressbook>
      <nationality>
        <country>
          <xsl:value-of select="substring(ass-country,'3')"/>
        </country>
        <country-code>
          <xsl:value-of select="substring(ass-country,'1','2')"/>
        </country-code>
      </nationality>
      <residence>
        <country>
          <xsl:value-of select="ass-living-country"/>
        </country>
      </residence>
    </assignor>
  </xsl:template>

  <xsl:template match="authorized">
    <authorized>
      <xsl:attribute name="sequence">
        <xsl:number value="position()" format="1"/>
      </xsl:attribute>
      <xsl:choose>
        <xsl:when test="au-designated-representative='是'">
          <xsl:attribute name="designated-receiver">
            <xsl:value-of  select="translate(au-designated-representative,'是','y')"/>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="designated-receiver">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>
      <addressbook lang="tw">
        <xsl:choose>
          <xsl:when test="au-name-type='自然人'">
            <last-name>
              <xsl:value-of select="normalize-space(substring-before(au-tw-name,','))"/>
            </last-name>
            <first-name>
              <xsl:value-of select="normalize-space(substring-after(au-tw-name,','))"/>
            </first-name>
          </xsl:when>
          <xsl:otherwise>
            <orgname>
              <xsl:value-of select="normalize-space(au-tw-comname)"/>
            </orgname>
          </xsl:otherwise>
        </xsl:choose>
        <role>
          <xsl:value-of select="au-name-type"/>
        </role>
        <iid>
          <xsl:value-of select="au-tw-iid"/>
        </iid>
        <registered-number/>
        <representative>
          <xsl:value-of select="au-tw-representative"/>
        </representative>
        <address lang="tw">
          <zip-code>
            <xsl:value-of select="au-zip-code"/>
          </zip-code>
          <dtext>
            <xsl:value-of select="au-tw-address"/>
          </dtext>
        </address>
        <phones>
          <phone-region/>
          <phone>
            <xsl:value-of select="au-tw-phone"/>
          </phone>
        </phones>
        <fax>
          <xsl:value-of select="au-tw-fax"/>
        </fax>
        <cell-phone>
          <xsl:value-of select="au-tw-cell-phone"/>
        </cell-phone>
        <email>
          <xsl:value-of select="au-tw-email"/>
        </email>
      </addressbook>
      <addressbook lang="en">
        <xsl:choose>
          <xsl:when test="au-name-type='自然人'">
            <last-name>
              <xsl:value-of select="normalize-space(substring-before(au-en-name,','))"/>
            </last-name>
            <first-name>
              <xsl:value-of select="normalize-space(substring-after(au-en-name,','))"/>
            </first-name>
          </xsl:when>
          <xsl:otherwise>
            <orgname>
              <xsl:value-of select="normalize-space(au-en-comname)"/>
            </orgname>
          </xsl:otherwise>
        </xsl:choose>
        <iid>
          <xsl:value-of select="au-tw-iid"/>
        </iid>
        <registered-number/>
        <representative>
          <xsl:value-of select="au-en-representative"/>
        </representative>
        <address lang="en">
          <dtext>
            <xsl:value-of select="au-en-address"/>
          </dtext>
        </address>
        <email/>
      </addressbook>
      <nationality>
        <country>
          <xsl:value-of select="substring(au-country,'3')"/>
        </country>
        <country-code>
          <xsl:value-of select="substring(au-country,'1','2')"/>
        </country-code>
      </nationality>
      <residence>
        <country>
          <xsl:value-of select="au-living-country"/>
        </country>
      </residence>
      <legal-representative lang="tw">
        <addressbook lang="tw">
          <last-name>
            <xsl:value-of select="normalize-space(substring-before(au-tw-legal-name,','))"/>
          </last-name>
          <first-name>
            <xsl:value-of select="normalize-space(substring-after(au-tw-legal-name,','))"/>
          </first-name>
          <iid>
            <xsl:value-of select="au-tw-legal-iid"/>
          </iid>
          <registered-number />
          <address lang="tw">
            <dtext />
          </address>
          <email />
        </addressbook>
      </legal-representative>
    </authorized>
  </xsl:template>

  <xsl:template match="toauthorized">
    <toauthorized>
      <xsl:attribute name="sequence">
        <xsl:number value="position()" format="1"/>
      </xsl:attribute>
      <xsl:choose>
        <xsl:when test="toau-designated-representative='是'">
          <xsl:attribute name="designated-receiver">
            <xsl:value-of  select="translate(toau-designated-representative,'是','y')"/>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="designated-receiver">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>
      <addressbook lang="tw">
        <xsl:choose>
          <xsl:when test="toau-name-type='自然人'">
            <last-name>
              <xsl:value-of select="normalize-space(substring-before(toau-tw-name,','))"/>
            </last-name>
            <first-name>
              <xsl:value-of select="normalize-space(substring-after(toau-tw-name,','))"/>
            </first-name>
          </xsl:when>
          <xsl:otherwise>
            <orgname>
              <xsl:value-of select="normalize-space(toau-tw-comname)"/>
            </orgname>
          </xsl:otherwise>
        </xsl:choose>
        <role>
          <xsl:value-of select="toau-name-type"/>
        </role>
        <iid>
          <xsl:value-of select="toau-tw-iid"/>
        </iid>
        <registered-number/>
        <representative>
          <xsl:value-of select="toau-tw-representative"/>
        </representative>
        <address lang="tw">
          <zip-code>
            <xsl:value-of select="toau-zip-code"/>
          </zip-code>
          <dtext>
            <xsl:value-of select="toau-tw-address"/>
          </dtext>
        </address>
        <phones>
          <phone-region/>
          <phone>
            <xsl:value-of select="toau-tw-phone"/>
          </phone>
        </phones>
        <fax>
          <xsl:value-of select="toau-tw-fax"/>
        </fax>
        <cell-phone>
          <xsl:value-of select="toau-tw-cell-phone"/>
        </cell-phone>
        <email>
          <xsl:value-of select="toau-tw-email"/>
        </email>
      </addressbook>
      <addressbook lang="en">
        <xsl:choose>
          <xsl:when test="toau-name-type='自然人'">
            <last-name>
              <xsl:value-of select="normalize-space(substring-before(toau-en-name,','))"/>
            </last-name>
            <first-name>
              <xsl:value-of select="normalize-space(substring-after(toau-en-name,','))"/>
            </first-name>
          </xsl:when>
          <xsl:otherwise>
            <orgname>
              <xsl:value-of select="normalize-space(toau-en-comname)"/>
            </orgname>
          </xsl:otherwise>
        </xsl:choose>
        <iid>
          <xsl:value-of select="toau-tw-iid"/>
        </iid>
        <registered-number/>
        <representative>
          <xsl:value-of select="toau-en-representative"/>
        </representative>
        <address lang="en">
          <dtext>
            <xsl:value-of select="toau-en-address"/>
          </dtext>
        </address>
        <email/>
      </addressbook>
      <nationality>
        <country>
          <xsl:value-of select="substring(toau-country,'3')"/>
        </country>
        <country-code>
          <xsl:value-of select="substring(toau-country,'1','2')"/>
        </country-code>
      </nationality>
      <residence>
        <country>
          <xsl:value-of select="toau-living-country"/>
        </country>
      </residence>
      <legal-representative lang="tw">
        <addressbook lang="tw">
          <last-name>
            <xsl:value-of select="normalize-space(substring-before(toau-tw-legal-name,','))"/>
          </last-name>
          <first-name>
            <xsl:value-of select="normalize-space(substring-after(toau-tw-legal-name,','))"/>
          </first-name>
          <iid>
            <xsl:value-of select="toau-tw-legal-iid"/>
          </iid>
          <registered-number />
          <address lang="tw">
            <dtext />
          </address>
          <email />
        </addressbook>
      </legal-representative>
    </toauthorized>
  </xsl:template>

  <xsl:template match="otoauthorized">
    <otoauthorized>
      <xsl:attribute name="sequence">
        <xsl:number value="position()" format="1"/>
      </xsl:attribute>
      <xsl:choose>
        <xsl:when test="otoau-designated-representative='是'">
          <xsl:attribute name="designated-receiver">
            <xsl:value-of  select="translate(otoau-designated-representative,'是','y')"/>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="designated-receiver">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>
      <addressbook lang="tw">
        <xsl:choose>
          <xsl:when test="otoau-name-type='自然人'">
            <last-name>
              <xsl:value-of select="normalize-space(substring-before(otoau-tw-name,','))"/>
            </last-name>
            <first-name>
              <xsl:value-of select="normalize-space(substring-after(otoau-tw-name,','))"/>
            </first-name>
          </xsl:when>
          <xsl:otherwise>
            <orgname>
              <xsl:value-of select="normalize-space(otoau-tw-comname)"/>
            </orgname>
          </xsl:otherwise>
        </xsl:choose>
        <role>
          <xsl:value-of select="otoau-name-type"/>
        </role>
        <iid>
          <xsl:value-of select="otoau-tw-iid"/>
        </iid>
        <registered-number/>
        <representative>
          <xsl:value-of select="otoau-tw-representative"/>
        </representative>
        <address lang="tw">
          <zip-code>
            <xsl:value-of select="otoau-zip-code"/>
          </zip-code>
          <dtext>
            <xsl:value-of select="otoau-tw-address"/>
          </dtext>
        </address>
        <phones>
          <phone-region/>
          <phone>
            <xsl:value-of select="otoau-tw-phone"/>
          </phone>
        </phones>
        <fax>
          <xsl:value-of select="otoau-tw-fax"/>
        </fax>
        <cell-phone>
          <xsl:value-of select="otoau-tw-cell-phone"/>
        </cell-phone>
        <email>
          <xsl:value-of select="otoau-tw-email"/>
        </email>
      </addressbook>
      <addressbook lang="en">
        <xsl:choose>
          <xsl:when test="otoau-name-type='自然人'">
            <last-name>
              <xsl:value-of select="normalize-space(substring-before(otoau-en-name,','))"/>
            </last-name>
            <first-name>
              <xsl:value-of select="normalize-space(substring-after(otoau-en-name,','))"/>
            </first-name>
          </xsl:when>
          <xsl:otherwise>
            <orgname>
              <xsl:value-of select="normalize-space(otoau-en-comname)"/>
            </orgname>
          </xsl:otherwise>
        </xsl:choose>
        <iid>
          <xsl:value-of select="otoau-tw-iid"/>
        </iid>
        <registered-number/>
        <representative>
          <xsl:value-of select="otoau-en-representative"/>
        </representative>
        <address lang="en">
          <dtext>
            <xsl:value-of select="otoau-en-address"/>
          </dtext>
        </address>
        <email/>
      </addressbook>
      <nationality>
        <country>
          <xsl:value-of select="substring(otoau-country,'3')"/>
        </country>
        <country-code>
          <xsl:value-of select="substring(otoau-country,'1','2')"/>
        </country-code>
      </nationality>
      <residence>
        <country>
          <xsl:value-of select="otoau-living-country"/>
        </country>
      </residence>
      <legal-representative lang="tw">
        <addressbook lang="tw">
          <last-name>
            <xsl:value-of select="normalize-space(substring-before(otoau-tw-legal-name,','))"/>
          </last-name>
          <first-name>
            <xsl:value-of select="normalize-space(substring-after(otoau-tw-legal-name,','))"/>
          </first-name>
          <iid>
            <xsl:value-of select="otoau-tw-legal-iid"/>
          </iid>
          <registered-number />
          <address lang="tw">
            <dtext />
          </address>
          <email />
        </addressbook>
      </legal-representative>
    </otoauthorized>
  </xsl:template>

  <xsl:template match="atoauthorized">
    <atoauthorized>
      <xsl:attribute name="sequence">
        <xsl:number value="position()" format="1"/>
      </xsl:attribute>
      <xsl:choose>
        <xsl:when test="atoau-designated-representative='是'">
          <xsl:attribute name="designated-receiver">
            <xsl:value-of  select="translate(atoau-designated-representative,'是','y')"/>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="designated-receiver">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>
      <addressbook lang="tw">
        <xsl:choose>
          <xsl:when test="atoau-name-type='自然人'">
            <last-name>
              <xsl:value-of select="normalize-space(substring-before(atoau-tw-name,','))"/>
            </last-name>
            <first-name>
              <xsl:value-of select="normalize-space(substring-after(atoau-tw-name,','))"/>
            </first-name>
          </xsl:when>
          <xsl:otherwise>
            <orgname>
              <xsl:value-of select="normalize-space(atoau-tw-comname)"/>
            </orgname>
          </xsl:otherwise>
        </xsl:choose>
        <role>
          <xsl:value-of select="atoau-name-type"/>
        </role>
        <iid>
          <xsl:value-of select="atoau-tw-iid"/>
        </iid>
        <registered-number/>
        <representative>
          <xsl:value-of select="atoau-tw-representative"/>
        </representative>
        <address lang="tw">
          <zip-code>
            <xsl:value-of select="atoau-zip-code"/>
          </zip-code>
          <dtext>
            <xsl:value-of select="atoau-tw-address"/>
          </dtext>
        </address>
        <phones>
          <phone-region/>
          <phone>
            <xsl:value-of select="atoau-tw-phone"/>
          </phone>
        </phones>
        <fax>
          <xsl:value-of select="atoau-tw-fax"/>
        </fax>
        <cell-phone>
          <xsl:value-of select="atoau-tw-cell-phone"/>
        </cell-phone>
        <email>
          <xsl:value-of select="atoau-tw-email"/>
        </email>
      </addressbook>
      <addressbook lang="en">
        <xsl:choose>
          <xsl:when test="atoau-name-type='自然人'">
            <last-name>
              <xsl:value-of select="normalize-space(substring-before(atoau-en-name,','))"/>
            </last-name>
            <first-name>
              <xsl:value-of select="normalize-space(substring-after(atoau-en-name,','))"/>
            </first-name>
          </xsl:when>
          <xsl:otherwise>
            <orgname>
              <xsl:value-of select="normalize-space(atoau-en-comname)"/>
            </orgname>
          </xsl:otherwise>
        </xsl:choose>
        <iid>
          <xsl:value-of select="atoau-tw-iid"/>
        </iid>
        <registered-number/>
        <representative>
          <xsl:value-of select="atoau-en-representative"/>
        </representative>
        <address lang="en">
          <dtext>
            <xsl:value-of select="atoau-en-address"/>
          </dtext>
        </address>
        <email/>
      </addressbook>
      <nationality>
        <country>
          <xsl:value-of select="substring(atoau-country,'3')"/>
        </country>
        <country-code>
          <xsl:value-of select="substring(atoau-country,'1','2')"/>
        </country-code>
      </nationality>
      <residence>
        <country>
          <xsl:value-of select="atoau-living-country"/>
        </country>
      </residence>
      <legal-representative lang="tw">
        <addressbook lang="tw">
          <last-name>
            <xsl:value-of select="normalize-space(substring-before(atoau-tw-legal-name,','))"/>
          </last-name>
          <first-name>
            <xsl:value-of select="normalize-space(substring-after(atoau-tw-legal-name,','))"/>
          </first-name>
          <iid>
            <xsl:value-of select="atoau-tw-legal-iid"/>
          </iid>
          <registered-number />
          <address lang="tw">
            <dtext />
          </address>
          <email />
        </addressbook>
      </legal-representative>
    </atoauthorized>
  </xsl:template>

  <xsl:template match="trustee">
    <trustee>
      <xsl:attribute name="sequence">
        <xsl:number value="position()" format="1"/>
      </xsl:attribute>
      <xsl:choose>
        <xsl:when test="tr-designated-representative='是'">
          <xsl:attribute name="designated-receiver">
            <xsl:value-of  select="translate(tr-designated-representative,'是','y')"/>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="designated-receiver">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>
      <addressbook lang="tw">
        <xsl:choose>
          <xsl:when test="tr-name-type='自然人'">
            <last-name>
              <xsl:value-of select="normalize-space(substring-before(tr-tw-name,','))"/>
            </last-name>
            <first-name>
              <xsl:value-of select="normalize-space(substring-after(tr-tw-name,','))"/>
            </first-name>
          </xsl:when>
          <xsl:otherwise>
            <orgname>
              <xsl:value-of select="normalize-space(tr-tw-comname)"/>
            </orgname>
          </xsl:otherwise>
        </xsl:choose>
        <role>
          <xsl:value-of select="tr-name-type"/>
        </role>
        <iid>
          <xsl:value-of select="tr-tw-iid"/>
        </iid>
        <registered-number/>
        <representative>
          <xsl:value-of select="tr-tw-representative"/>
        </representative>
        <address lang="tw">
          <zip-code>
            <xsl:value-of select="tr-zip-code"/>
          </zip-code>
          <dtext>
            <xsl:value-of select="tr-tw-address"/>
          </dtext>
        </address>
        <phones>
          <phone-region/>
          <phone>
            <xsl:value-of select="tr-tw-phone"/>
          </phone>
        </phones>
        <fax>
          <xsl:value-of select="tr-tw-fax"/>
        </fax>
        <cell-phone>
          <xsl:value-of select="tr-tw-cell-phone"/>
        </cell-phone>
        <email>
          <xsl:value-of select="tr-tw-email"/>
        </email>
      </addressbook>
      <addressbook lang="en">
        <xsl:choose>
          <xsl:when test="tr-name-type='自然人'">
            <last-name>
              <xsl:value-of select="normalize-space(substring-before(tr-en-name,','))"/>
            </last-name>
            <first-name>
              <xsl:value-of select="normalize-space(substring-after(tr-en-name,','))"/>
            </first-name>
          </xsl:when>
          <xsl:otherwise>
            <orgname>
              <xsl:value-of select="normalize-space(tr-en-comname)"/>
            </orgname>
          </xsl:otherwise>
        </xsl:choose>
        <iid>
          <xsl:value-of select="tr-tw-iid"/>
        </iid>
        <registered-number/>
        <representative>
          <xsl:value-of select="tr-en-representative"/>
        </representative>
        <address lang="en">
          <dtext>
            <xsl:value-of select="tr-en-address"/>
          </dtext>
        </address>
        <email/>
      </addressbook>
      <nationality>
        <country>
          <xsl:value-of select="substring(tr-country,'3')"/>
        </country>
        <country-code>
          <xsl:value-of select="substring(tr-country,'1','2')"/>
        </country-code>
      </nationality>
      <residence>
        <country>
          <xsl:value-of select="tr-living-country"/>
        </country>
      </residence>
      <legal-representative lang="tw">
        <addressbook lang="tw">
          <last-name>
            <xsl:value-of select="normalize-space(substring-before(tr-tw-legal-name,','))"/>
          </last-name>
          <first-name>
            <xsl:value-of select="normalize-space(substring-after(tr-tw-legal-name,','))"/>
          </first-name>
          <iid>
            <xsl:value-of select="tr-tw-legal-iid"/>
          </iid>
          <registered-number />
          <address lang="tw">
            <dtext />
          </address>
          <email />
        </addressbook>
      </legal-representative>
    </trustee>
  </xsl:template>

  <xsl:template match="appointor">
    <appointor>
      <xsl:attribute name="sequence">
        <xsl:number value="position()" format="1"/>
      </xsl:attribute>
      <xsl:choose>
        <xsl:when test="appo-designated-representative='是'">
          <xsl:attribute name="designated-receiver">
            <xsl:value-of  select="translate(appo-designated-representative,'是','y')"/>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="designated-receiver">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>
      <addressbook lang="tw">
        <xsl:choose>
          <xsl:when test="appo-name-type='自然人'">
            <last-name>
              <xsl:value-of select="normalize-space(substring-before(appo-tw-name,','))"/>
            </last-name>
            <first-name>
              <xsl:value-of select="normalize-space(substring-after(appo-tw-name,','))"/>
            </first-name>
          </xsl:when>
          <xsl:otherwise>
            <orgname>
              <xsl:value-of select="normalize-space(appo-tw-comname)"/>
            </orgname>
          </xsl:otherwise>
        </xsl:choose>
        <role>
          <xsl:value-of select="appo-name-type"/>
        </role>
        <iid>
          <xsl:value-of select="appo-tw-iid"/>
        </iid>
        <registered-number/>
        <representative>
          <xsl:value-of select="appo-tw-representative"/>
        </representative>
        <address lang="tw">
          <zip-code>
            <xsl:value-of select="appo-zip-code"/>
          </zip-code>
          <dtext>
            <xsl:value-of select="appo-tw-address"/>
          </dtext>
        </address>
        <phones>
          <phone-region/>
          <phone>
            <xsl:value-of select="appo-tw-phone"/>
          </phone>
        </phones>
        <fax>
          <xsl:value-of select="appo-tw-fax"/>
        </fax>
        <cell-phone>
          <xsl:value-of select="appo-tw-cell-phone"/>
        </cell-phone>
        <email>
          <xsl:value-of select="appo-tw-email"/>
        </email>
      </addressbook>
      <addressbook lang="en">
        <xsl:choose>
          <xsl:when test="appo-name-type='自然人'">
            <last-name>
              <xsl:value-of select="normalize-space(substring-before(appo-en-name,','))"/>
            </last-name>
            <first-name>
              <xsl:value-of select="normalize-space(substring-after(appo-en-name,','))"/>
            </first-name>
          </xsl:when>
          <xsl:otherwise>
            <orgname>
              <xsl:value-of select="normalize-space(appo-en-comname)"/>
            </orgname>
          </xsl:otherwise>
        </xsl:choose>
        <iid>
          <xsl:value-of select="appo-tw-iid"/>
        </iid>
        <registered-number/>
        <representative>
          <xsl:value-of select="appo-en-representative"/>
        </representative>
        <address lang="en">
          <dtext>
            <xsl:value-of select="appo-en-address"/>
          </dtext>
        </address>
        <email/>
      </addressbook>
      <nationality>
        <country>
          <xsl:value-of select="substring(appo-country,'3')"/>
        </country>
        <country-code>
          <xsl:value-of select="substring(appo-country,'1','2')"/>
        </country-code>
      </nationality>
      <residence>
        <country>
          <xsl:value-of select="appo-living-country"/>
        </country>
      </residence>
      <legal-representative lang="tw">
        <addressbook lang="tw">
          <last-name>
            <xsl:value-of select="normalize-space(substring-before(appo-tw-legal-name,','))"/>
          </last-name>
          <first-name>
            <xsl:value-of select="normalize-space(substring-after(appo-tw-legal-name,','))"/>
          </first-name>
          <iid>
            <xsl:value-of select="appo-tw-legal-iid"/>
          </iid>
          <registered-number />
          <address lang="tw">
            <dtext />
          </address>
          <email />
        </addressbook>
      </legal-representative>
    </appointor>
  </xsl:template>

  <xsl:template match="inheritor">
    <inheritor>
      <xsl:attribute name="sequence">
        <xsl:number value="position()" format="1"/>
      </xsl:attribute>
      <xsl:choose>
        <xsl:when test="inh-designated-representative='是'">
          <xsl:attribute name="designated-receiver">
            <xsl:value-of  select="translate(inh-designated-representative,'是','y')"/>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="designated-receiver">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>
      <addressbook lang="tw">
        <xsl:choose>
          <xsl:when test="inh-name-type='自然人'">
            <last-name>
              <xsl:value-of select="normalize-space(substring-before(inh-tw-name,','))"/>
            </last-name>
            <first-name>
              <xsl:value-of select="normalize-space(substring-after(inh-tw-name,','))"/>
            </first-name>
          </xsl:when>
          <xsl:otherwise>
            <orgname>
              <xsl:value-of select="normalize-space(inh-tw-comname)"/>
            </orgname>
          </xsl:otherwise>
        </xsl:choose>
        <role>
          <xsl:value-of select="inh-name-type"/>
        </role>
        <iid>
          <xsl:value-of select="inh-tw-iid"/>
        </iid>
        <registered-number/>
        <representative>
          <xsl:value-of select="inh-tw-representative"/>
        </representative>
        <address lang="tw">
          <zip-code>
            <xsl:value-of select="inh-zip-code"/>
          </zip-code>
          <dtext>
            <xsl:value-of select="inh-tw-address"/>
          </dtext>
        </address>
        <phones>
          <phone-region/>
          <phone>
            <xsl:value-of select="inh-tw-phone"/>
          </phone>
        </phones>
        <fax>
          <xsl:value-of select="inh-tw-fax"/>
        </fax>
        <cell-phone>
          <xsl:value-of select="inh-tw-cell-phone"/>
        </cell-phone>
        <email>
          <xsl:value-of select="inh-tw-email"/>
        </email>
      </addressbook>
      <addressbook lang="en">
        <xsl:choose>
          <xsl:when test="inh-name-type='自然人'">
            <last-name>
              <xsl:value-of select="normalize-space(substring-before(inh-en-name,','))"/>
            </last-name>
            <first-name>
              <xsl:value-of select="normalize-space(substring-after(inh-en-name,','))"/>
            </first-name>
          </xsl:when>
          <xsl:otherwise>
            <orgname>
              <xsl:value-of select="normalize-space(inh-en-comname)"/>
            </orgname>
          </xsl:otherwise>
        </xsl:choose>
        <iid>
          <xsl:value-of select="inh-tw-iid"/>
        </iid>
        <registered-number/>
        <representative>
          <xsl:value-of select="inh-en-representative"/>
        </representative>
        <address lang="en">
          <dtext>
            <xsl:value-of select="inh-en-address"/>
          </dtext>
        </address>
        <email/>
      </addressbook>
      <nationality>
        <country>
          <xsl:value-of select="substring(inh-country,'3')"/>
        </country>
        <country-code>
          <xsl:value-of select="substring(inh-country,'1','2')"/>
        </country-code>
      </nationality>
      <residence>
        <country>
          <xsl:value-of select="inh-living-country"/>
        </country>
      </residence>
      <legal-representative lang="tw">
        <addressbook lang="tw">
          <last-name>
            <xsl:value-of select="normalize-space(substring-before(inh-tw-legal-name,','))"/>
          </last-name>
          <first-name>
            <xsl:value-of select="normalize-space(substring-after(inh-tw-legal-name,','))"/>
          </first-name>
          <iid>
            <xsl:value-of select="inh-tw-legal-iid"/>
          </iid>
          <registered-number />
          <address lang="tw">
            <dtext />
          </address>
          <email />
        </addressbook>
      </legal-representative>
    </inheritor>
  </xsl:template>

  <xsl:template match="ancestor">
    <ancestor>
      <xsl:attribute name="sequence">
        <xsl:number value="position()" format="1"/>
      </xsl:attribute>
      <xsl:choose>
        <xsl:when test="an-designated-receiver='是'">
          <xsl:attribute name="designated-receiver">
            <xsl:value-of  select="translate(an-designated-receiver,'是','y')"/>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="designated-receiver">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>
      <addressbook lang="tw">
        <last-name>
          <xsl:value-of select="normalize-space(substring-before(an-tw-name,','))"/>
        </last-name>
        <first-name>
          <xsl:value-of select="normalize-space(substring-after(an-tw-name,','))"/>
        </first-name>
        <iid>
          <xsl:value-of select="an-tw-iid"/>
        </iid>
        <registered-number/>
        <representative/>
        <address lang="tw">
          <dtext/>
        </address>
        <phones>
          <phone-region/>
          <phone/>
        </phones>
        <fax/>
        <cell-phone/>
        <email/>
      </addressbook>
      <addressbook lang="en">
        <last-name>
          <xsl:value-of select="normalize-space(substring-before(an-en-name,','))"/>
        </last-name>
        <first-name>
          <xsl:value-of select="normalize-space(substring-after(an-en-name,','))"/>
        </first-name>
        <orgname>
          <xsl:value-of select="normalize-space(an-en-comname)"/>
        </orgname>
        <iid>
          <xsl:value-of select="ap-tw-iid"/>
        </iid>
        <registered-number/>
        <representative>
          <xsl:value-of select="an-en-representative"/>
        </representative>
        <address lang="en">
          <dtext>
            <xsl:value-of select="an-en-address"/>
          </dtext>
        </address>
        <email/>
      </addressbook>
    </ancestor>
  </xsl:template>

  <xsl:template match="simpleapplicant">
    <applicant>
      <xsl:attribute name="sequence">
        <xsl:number value="position()" format="1"/>
      </xsl:attribute>
      <xsl:attribute name="designated-receiver">
        <xsl:text>n</xsl:text>
      </xsl:attribute>
      <addressbook lang="tw">
        <xsl:choose>
          <xsl:when test="count(simpleap-tw-name)&gt;0">
            <last-name>
              <xsl:value-of select="normalize-space(substring-before(simpleap-tw-name,','))"/>
            </last-name>
            <first-name>
              <xsl:value-of select="normalize-space(substring-after(simpleap-tw-name,','))"/>
            </first-name>
          </xsl:when>
          <xsl:otherwise>
            <orgname>
              <xsl:value-of select="normalize-space(simpleap-tw-comname)"/>
            </orgname>
          </xsl:otherwise>
        </xsl:choose>
        <role/>
        <iid/>
        <registered-number />
        <representative />
        <address lang="tw">
          <zip-code/>
          <dtext />
        </address>
        <phones>
          <phone-region />
          <phone />
        </phones>
        <fax />
        <cell-phone />
        <email />
      </addressbook>
      <addressbook lang="en">
        <xsl:choose>
          <xsl:when test="count(simpleap-en-name)&gt;0">
            <last-name>
              <xsl:value-of select="normalize-space(substring-before(simpleap-en-name,','))"/>
            </last-name>
            <first-name>
              <xsl:value-of select="normalize-space(substring-after(simpleap-en-name,','))"/>
            </first-name>
          </xsl:when>
          <xsl:otherwise>
            <orgname>
              <xsl:value-of select="normalize-space(simpleap-en-comname)"/>
            </orgname>
          </xsl:otherwise>
        </xsl:choose>
        <iid/>
        <registered-number />
        <representative />
        <address lang="en">
          <dtext />
        </address>
        <email />
      </addressbook>
      <nationality>
        <country>
          <xsl:value-of select="substring(simpleap-country,'3')"/>
        </country>
        <country-code>
          <xsl:value-of select="substring(simpleap-country,'1','2')"/>
        </country-code>
      </nationality>
      <residence>
        <country />
      </residence>
      <legal-representative lang="tw">
        <addressbook lang="tw">
          <last-name />
          <first-name />
          <iid />
          <registered-number />
          <address lang="tw">
            <dtext />
          </address>
          <email />
        </addressbook>
      </legal-representative>
    </applicant>
  </xsl:template>



  <xsl:template match="correspondence-address">
    <correspondence-address>
      <addressbook lang="tw">
        <last-name>
          <xsl:value-of select="normalize-space(substring-before(co-tw-name,','))"/>
        </last-name>
        <first-name>
          <xsl:value-of select="normalize-space(substring-after(co-tw-name,','))"/>
        </first-name>
        <iid>
          <xsl:value-of select="co-tw-iid"/>
        </iid>
        <registered-number/>
        <address lang="tw">
          <zip-code>
            <xsl:value-of select="co-zip-code"/>
          </zip-code>
          <dtext>
            <xsl:value-of select="co-tw-address"/>
          </dtext>
        </address>
        <phones>
          <phone-region/>
          <phone>
            <xsl:value-of select="co-tw-phone"/>
          </phone>
        </phones>
        <email/>
      </addressbook>
    </correspondence-address>
  </xsl:template>
  <xsl:template match="simpleagent">
    <agent agent-type="agent" rep-type="agent">
      <xsl:attribute name="sequence">
        <xsl:number value="position()" format="1"/>
      </xsl:attribute>
      <addressbook lang="tw">
        <last-name>
          <xsl:value-of select="normalize-space(substring-before(simpleag-tw-name,','))"/>
        </last-name>
        <first-name>
          <xsl:value-of select="normalize-space(substring-after(simpleag-tw-name,','))"/>
        </first-name>
        <iid/>
        <registered-number/>
        <address lang="tw">
          <zip-code/>
          <dtext/>
        </address>
        <phones>
          <phone-region/>
          <phone/>
        </phones>
        <fax/>
        <cell-phone/>
        <email/>
      </addressbook>
      <customer-number/>
    </agent>
  </xsl:template>


  <xsl:template match="agent">
    <agent agent-type="agent" rep-type="agent">
      <xsl:attribute name="sequence">
        <xsl:number value="position()" format="1"/>
      </xsl:attribute>
      <addressbook lang="tw">
        <last-name>
          <xsl:value-of select="normalize-space(substring-before(ag-tw-name,','))"/>
        </last-name>
        <first-name>
          <xsl:value-of select="normalize-space(substring-after(ag-tw-name,','))"/>
        </first-name>
        <iid>
          <xsl:value-of select="ag-tw-iid"/>
        </iid>
        <registered-number/>
        <address lang="tw">
          <zip-code>
            <xsl:value-of select="ag-zip-code"/>
          </zip-code>
          <dtext>
            <xsl:value-of select="ag-tw-address"/>
          </dtext>
        </address>
        <phones>
          <phone-region/>
          <phone>
            <xsl:value-of select="ag-tw-phone"/>
          </phone>
        </phones>
        <fax>
          <xsl:value-of select="ag-tw-fax"/>
        </fax>
        <cell-phone>
          <xsl:value-of select="ag-tw-cell-phone"/>
        </cell-phone>
        <email>
          <xsl:value-of select="ag-tw-email"/>
        </email>
      </addressbook>
      <customer-number>
        <xsl:value-of select="ag-customer-number"/>
      </customer-number>
    </agent>
  </xsl:template>

  <xsl:template match="agent-assignee">
    <xsl:choose>
      <xsl:when test="agas-tw-iid='P800138717'">
      </xsl:when>
      <xsl:otherwise>
        <agent agent-type="agent" rep-type="agent">
          <xsl:attribute name="sequence">
            <xsl:number value="position()" format="1"/>
          </xsl:attribute>
          <xsl:attribute name="agent-type-assignment">
            <xsl:text>assignee</xsl:text>
          </xsl:attribute>
          <addressbook lang="tw">
            <last-name>
              <xsl:value-of select="normalize-space(substring-before(agas-tw-name,','))"/>
            </last-name>
            <first-name>
              <xsl:value-of select="normalize-space(substring-after(agas-tw-name,','))"/>
            </first-name>
            <iid>
              <xsl:value-of select="agas-tw-iid"/>
            </iid>
            <registered-number/>
            <address lang="tw">
              <zip-code>
                <xsl:value-of select="agas-zip-code"/>
              </zip-code>
              <dtext>
                <xsl:value-of select="agas-tw-address"/>
              </dtext>
            </address>
            <phones>
              <phone-region/>
              <phone>
                <xsl:value-of select="agas-tw-phone"/>
              </phone>
            </phones>
            <fax>
              <xsl:value-of select="agas-tw-fax"/>
            </fax>
            <cell-phone>
              <xsl:value-of select="agas-tw-cell-phone"/>
            </cell-phone>
            <email>
              <xsl:value-of select="agas-tw-email"/>
            </email>
          </addressbook>
          <customer-number>
            <xsl:value-of select="agas-customer-number"/>
          </customer-number>
        </agent>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <xsl:template match="agent-assignor">
    <xsl:choose>
      <xsl:when test="agass-tw-iid='P800138717'">
      </xsl:when>
      <xsl:otherwise>
        <agent agent-type="agent" rep-type="agent">
          <xsl:attribute name="sequence">
            <xsl:number value="position()" format="1"/>
          </xsl:attribute>
          <xsl:attribute name="agent-type-assignment">
            <xsl:text>assignor</xsl:text>
          </xsl:attribute>
          <addressbook lang="tw">
            <last-name>
              <xsl:value-of select="normalize-space(substring-before(agass-tw-name,','))"/>
            </last-name>
            <first-name>
              <xsl:value-of select="normalize-space(substring-after(agass-tw-name,','))"/>
            </first-name>
            <iid>
              <xsl:value-of select="agass-tw-iid"/>
            </iid>
            <registered-number/>
            <address lang="tw">
              <zip-code>
                <xsl:value-of select="agass-zip-code"/>
              </zip-code>
              <dtext>
                <xsl:value-of select="agass-tw-address"/>
              </dtext>
            </address>
            <phones>
              <phone-region/>
              <phone>
                <xsl:value-of select="agass-tw-phone"/>
              </phone>
            </phones>
            <fax>
              <xsl:value-of select="agass-tw-fax"/>
            </fax>
            <cell-phone>
              <xsl:value-of select="agass-tw-cell-phone"/>
            </cell-phone>
            <email>
              <xsl:value-of select="agass-tw-email"/>
            </email>
          </addressbook>
          <customer-number>
            <xsl:value-of select="agass-customer-number"/>
          </customer-number>
        </agent>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <xsl:template match="agent-authorized">
    <xsl:choose>
      <xsl:when test="agau-tw-iid='P800138717'">
      </xsl:when>
      <xsl:otherwise>
        <agent agent-type="agent" rep-type="agent">
          <xsl:attribute name="sequence">
            <xsl:number value="position()" format="1"/>
          </xsl:attribute>
          <xsl:attribute name="agent-type-assignment">
            <xsl:text>authorized</xsl:text>
          </xsl:attribute>
          <addressbook lang="tw">
            <last-name>
              <xsl:value-of select="normalize-space(substring-before(agau-tw-name,','))"/>
            </last-name>
            <first-name>
              <xsl:value-of select="normalize-space(substring-after(agau-tw-name,','))"/>
            </first-name>
            <iid>
              <xsl:value-of select="agau-tw-iid"/>
            </iid>
            <registered-number/>
            <address lang="tw">
              <zip-code>
                <xsl:value-of select="agau-zip-code"/>
              </zip-code>
              <dtext>
                <xsl:value-of select="agau-tw-address"/>
              </dtext>
            </address>
            <phones>
              <phone-region/>
              <phone>
                <xsl:value-of select="agau-tw-phone"/>
              </phone>
            </phones>
            <fax>
              <xsl:value-of select="agau-tw-fax"/>
            </fax>
            <cell-phone>
              <xsl:value-of select="agau-tw-cell-phone"/>
            </cell-phone>
            <email>
              <xsl:value-of select="agau-tw-email"/>
            </email>
          </addressbook>
          <customer-number>
            <xsl:value-of select="agau-customer-number"/>
          </customer-number>
        </agent>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <xsl:template match="agent-toauthorized">
    <xsl:choose>
      <xsl:when test="agtoau-tw-iid='P800138717'">
      </xsl:when>
      <xsl:otherwise>
        <agent agent-type="agent" rep-type="agent">
          <xsl:attribute name="sequence">
            <xsl:number value="position()" format="1"/>
          </xsl:attribute>
          <xsl:attribute name="agent-type-assignment">
            <xsl:text>toauthorized</xsl:text>
          </xsl:attribute>
          <addressbook lang="tw">
            <last-name>
              <xsl:value-of select="normalize-space(substring-before(agtoau-tw-name,','))"/>
            </last-name>
            <first-name>
              <xsl:value-of select="normalize-space(substring-after(agtoau-tw-name,','))"/>
            </first-name>
            <iid>
              <xsl:value-of select="agtoau-tw-iid"/>
            </iid>
            <registered-number/>
            <address lang="tw">
              <zip-code>
                <xsl:value-of select="agtoau-zip-code"/>
              </zip-code>
              <dtext>
                <xsl:value-of select="agtoau-tw-address"/>
              </dtext>
            </address>
            <phones>
              <phone-region/>
              <phone>
                <xsl:value-of select="agtoau-tw-phone"/>
              </phone>
            </phones>
            <fax>
              <xsl:value-of select="agtoau-tw-fax"/>
            </fax>
            <cell-phone>
              <xsl:value-of select="agtoau-tw-cell-phone"/>
            </cell-phone>
            <email>
              <xsl:value-of select="agtoau-tw-email"/>
            </email>
          </addressbook>
          <customer-number>
            <xsl:value-of select="agtoau-customer-number"/>
          </customer-number>
        </agent>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <xsl:template match="agent-otoauthorized">
    <xsl:choose>
      <xsl:when test="agotoau-tw-iid='P800138717'">
      </xsl:when>
      <xsl:otherwise>
        <agent agent-type="agent" rep-type="agent">
          <xsl:attribute name="sequence">
            <xsl:number value="position()" format="1"/>
          </xsl:attribute>
          <xsl:attribute name="agent-type-assignment">
            <xsl:text>otoauthorized</xsl:text>
          </xsl:attribute>
          <addressbook lang="tw">
            <last-name>
              <xsl:value-of select="normalize-space(substring-before(agotoau-tw-name,','))"/>
            </last-name>
            <first-name>
              <xsl:value-of select="normalize-space(substring-after(agotoau-tw-name,','))"/>
            </first-name>
            <iid>
              <xsl:value-of select="agotoau-tw-iid"/>
            </iid>
            <registered-number/>
            <address lang="tw">
              <zip-code>
                <xsl:value-of select="agotoau-zip-code"/>
              </zip-code>
              <dtext>
                <xsl:value-of select="agotoau-tw-address"/>
              </dtext>
            </address>
            <phones>
              <phone-region/>
              <phone>
                <xsl:value-of select="agotoau-tw-phone"/>
              </phone>
            </phones>
            <fax>
              <xsl:value-of select="agotoau-tw-fax"/>
            </fax>
            <cell-phone>
              <xsl:value-of select="agotoau-tw-cell-phone"/>
            </cell-phone>
            <email>
              <xsl:value-of select="agotoau-tw-email"/>
            </email>
          </addressbook>
          <customer-number>
            <xsl:value-of select="agotoau-customer-number"/>
          </customer-number>
        </agent>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <xsl:template match="agent-atoauthorized">
    <xsl:choose>
      <xsl:when test="agatoau-tw-iid='P800138717'">
      </xsl:when>
      <xsl:otherwise>
        <agent agent-type="agent" rep-type="agent">
          <xsl:attribute name="sequence">
            <xsl:number value="position()" format="1"/>
          </xsl:attribute>
          <xsl:attribute name="agent-type-assignment">
            <xsl:text>atoauthorized</xsl:text>
          </xsl:attribute>
          <addressbook lang="tw">
            <last-name>
              <xsl:value-of select="normalize-space(substring-before(agatoau-tw-name,','))"/>
            </last-name>
            <first-name>
              <xsl:value-of select="normalize-space(substring-after(agatoau-tw-name,','))"/>
            </first-name>
            <iid>
              <xsl:value-of select="agatoau-tw-iid"/>
            </iid>
            <registered-number/>
            <address lang="tw">
              <zip-code>
                <xsl:value-of select="agatoau-zip-code"/>
              </zip-code>
              <dtext>
                <xsl:value-of select="agatoau-tw-address"/>
              </dtext>
            </address>
            <phones>
              <phone-region/>
              <phone>
                <xsl:value-of select="agatoau-tw-phone"/>
              </phone>
            </phones>
            <fax>
              <xsl:value-of select="agatoau-tw-fax"/>
            </fax>
            <cell-phone>
              <xsl:value-of select="agatoau-tw-cell-phone"/>
            </cell-phone>
            <email>
              <xsl:value-of select="agatoau-tw-email"/>
            </email>
          </addressbook>
          <customer-number>
            <xsl:value-of select="agatoau-customer-number"/>
          </customer-number>
        </agent>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <xsl:template match="agent-trustee">
    <xsl:choose>
      <xsl:when test="agtr-tw-iid='P800138717'">
      </xsl:when>
      <xsl:otherwise>
        <agent agent-type="agent" rep-type="agent">
          <xsl:attribute name="sequence">
            <xsl:number value="position()" format="1"/>
          </xsl:attribute>
          <xsl:attribute name="agent-type-assignment">
            <xsl:text>trustee</xsl:text>
          </xsl:attribute>
          <addressbook lang="tw">
            <last-name>
              <xsl:value-of select="normalize-space(substring-before(agtr-tw-name,','))"/>
            </last-name>
            <first-name>
              <xsl:value-of select="normalize-space(substring-after(agtr-tw-name,','))"/>
            </first-name>
            <iid>
              <xsl:value-of select="agtr-tw-iid"/>
            </iid>
            <registered-number/>
            <address lang="tw">
              <zip-code>
                <xsl:value-of select="agtr-zip-code"/>
              </zip-code>
              <dtext>
                <xsl:value-of select="agtr-tw-address"/>
              </dtext>
            </address>
            <phones>
              <phone-region/>
              <phone>
                <xsl:value-of select="agtr-tw-phone"/>
              </phone>
            </phones>
            <fax>
              <xsl:value-of select="agtr-tw-fax"/>
            </fax>
            <cell-phone>
              <xsl:value-of select="agtr-tw-cell-phone"/>
            </cell-phone>
            <email>
              <xsl:value-of select="agtr-tw-email"/>
            </email>
          </addressbook>
          <customer-number>
            <xsl:value-of select="agtr-customer-number"/>
          </customer-number>
        </agent>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <xsl:template match="agent-appointor">
    <xsl:choose>
      <xsl:when test="agappo-tw-iid='P800138717'">
      </xsl:when>
      <xsl:otherwise>
        <agent agent-type="agent" rep-type="agent">
          <xsl:attribute name="sequence">
            <xsl:number value="position()" format="1"/>
          </xsl:attribute>
          <xsl:attribute name="agent-type-assignment">
            <xsl:text>appointor</xsl:text>
          </xsl:attribute>
          <addressbook lang="tw">
            <last-name>
              <xsl:value-of select="normalize-space(substring-before(agappo-tw-name,','))"/>
            </last-name>
            <first-name>
              <xsl:value-of select="normalize-space(substring-after(agappo-tw-name,','))"/>
            </first-name>
            <iid>
              <xsl:value-of select="agappo-tw-iid"/>
            </iid>
            <registered-number/>
            <address lang="tw">
              <zip-code>
                <xsl:value-of select="agappo-zip-code"/>
              </zip-code>
              <dtext>
                <xsl:value-of select="agappo-tw-address"/>
              </dtext>
            </address>
            <phones>
              <phone-region/>
              <phone>
                <xsl:value-of select="agappo-tw-phone"/>
              </phone>
            </phones>
            <fax>
              <xsl:value-of select="agappo-tw-fax"/>
            </fax>
            <cell-phone>
              <xsl:value-of select="agappo-tw-cell-phone"/>
            </cell-phone>
            <email>
              <xsl:value-of select="agappo-tw-email"/>
            </email>
          </addressbook>
          <customer-number>
            <xsl:value-of select="agappo-customer-number"/>
          </customer-number>
        </agent>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>


  <xsl:attribute-set name="AddPageCount">
    <xsl:attribute name="add">y</xsl:attribute>
    <xsl:attribute name="page-count"/>
  </xsl:attribute-set>

  <xsl:attribute-set name="Add">
    <xsl:attribute name="add">y</xsl:attribute>
  </xsl:attribute-set>

  <xsl:attribute-set name="AddLang">
    <xsl:attribute name="add">y</xsl:attribute>
    <xsl:attribute name="lang"/>
  </xsl:attribute-set>

  <xsl:template match="abstract01 | abstract02">
    <abstract add="y" page-count="">
      <xsl:apply-templates select="*|node()"/>
    </abstract>
  </xsl:template>

  <xsl:template match="claims01 | claims02">
    <claims add="y" page-count="">
      <xsl:apply-templates select="*|node()"/>
    </claims>
  </xsl:template>

  <xsl:template match="description01 | description02 | description03 | description04 ">
    <description add="y" page-count="">
      <xsl:apply-templates select="*|node()"/>
    </description>
  </xsl:template>

  <xsl:template match="drawing01 | drawing02 | drawing03|drawing04">
    <drawing add="y">
      <xsl:attribute name="page-count">
        <xsl:value-of select='preceding::drawing-num'/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </drawing>
  </xsl:template>

  <xsl:template match="without-line-abstract-complete01 | without-line-abstract-complete02">
    <without-line-abstract-complete add="y">
      <xsl:apply-templates select="*|node()"/>
    </without-line-abstract-complete>
  </xsl:template>

  <xsl:template match="without-line-description-complete01 | without-line-description-complete02 | without-line-description-complete03">
    <without-line-description-complete add="y">
      <xsl:apply-templates select="*|node()"/>
    </without-line-description-complete>
  </xsl:template>

  <xsl:template match="without-line-claims-complete01 | without-line-claims-complete02">
    <without-line-claims-complete add="y">
      <xsl:apply-templates select="*|node()"/>
    </without-line-claims-complete>
  </xsl:template>

  <xsl:template match="drawing-complete01 | drawing-complete02 | drawing-complete03">
    <drawing-complete add="y" >
      <xsl:apply-templates select="*|node()"/>
    </drawing-complete>
  </xsl:template>

  <xsl:template match="with-line-abstract-page01 | with-line-abstract-page02">
    <with-line-abstract-page add="y">
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </with-line-abstract-page>
  </xsl:template>

  <xsl:template match="with-line-description-page01 | with-line-description-page02 | with-line-description-page03">
    <with-line-description-page add="y">
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </with-line-description-page>
  </xsl:template>

  <xsl:template match="with-line-claims-page01 | with-line-claims-page02">
    <with-line-claims-page add="y">
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </with-line-claims-page>
  </xsl:template>

  <xsl:template match="foreign-specification">
    <foreign-specification>
      <xsl:attribute name="add">y</xsl:attribute>
      <xsl:attribute name="lang"/>
      <xsl:attribute name="count">
        <xsl:value-of select='preceding::foreign-specification-page-count'/>
      </xsl:attribute>
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </foreign-specification>
  </xsl:template>

  <xsl:template match="opt-claim06">
    <opt-claim>
      <xsl:text>6</xsl:text>
    </opt-claim>
  </xsl:template>
  <xsl:template match="opt-claim07">
    <opt-claim>
      <xsl:text>7</xsl:text>
    </opt-claim>
    <opt-plus>
      <xsl:if test="string-length(../opt-claim07/claim07-amount-total) &gt;0">
        <xsl:text>1</xsl:text>
      </xsl:if>
      <xsl:if test="string-length(../opt-claim07/claim07-amount-refund) &gt;0">
        <xsl:text>0</xsl:text>
      </xsl:if>
    </opt-plus>
  </xsl:template>

  <xsl:template match="contact| 
				power-of-attorney| 
        license-copy|
        internal-medicine-certificate|        
        foreign-extend-certificate|        
        during-test-certificate|
        during-test-list|
        license-claims-relation|
        assignment-certificate|        
        absorb-company|        
        office-issuance-certificate|        
        stamp-affidavit|        
        death-certificate|        
        inheritance-table|
        inheritance-certificate|        
        renounce-inheritance-certificate|        
        will-notavization|        
        apart-agreement-and-seal-certificate|        
        authorization-agreement-certificate|
        cancellation-registration-consent|        
        court-decisions-document|        
        name-certificate|
        trust-deed-document|        
        trust-relationship-document|
        trust-change-certificate|        
        trust-deed-ownership|
        international-priority|
        atth-exhibition-priority|
        other-consent">
    <xsl:copy use-attribute-sets="Add">
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </xsl:copy>
  </xsl:template>

  <xsl:template match="check-list">
    <xsl:apply-templates select="contact[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="power-of-attorney[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="license-copy[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="internal-medicine-certificate[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="foreign-extend-certificate[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="during-test-certificate[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="during-test-list[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="license-claims-relation[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="assignment-certificate[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="absorb-company[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="office-issuance-certificate[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="stamp-affidavit[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="death-certificate[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="inheritance-table[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="inheritance-certificate[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="renounce-inheritance-certificate[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="will-notavization[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="apart-agreement-and-seal-certificate[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="authorization-agreement-certificate[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="cancellation-registration-consent[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="court-decisions-document[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="name-certificate[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="trust-deed-document[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="trust-relationship-document[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="trust-change-certificate[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="trust-deed-ownership[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="international-priority[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="atth-exhibition-priority[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="other-consent[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="cl-other-document[string-length(string())&gt;'0']"/>
  </xsl:template>

  <xsl:template match="cl-other-document">
    <cl-other-document>
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <doc-description>
        <xsl:value-of select="doc-description"/>
      </doc-description>
      <doc-filename>
        <xsl:value-of select="doc-filename"/>
      </doc-filename>
    </cl-other-document>
  </xsl:template>

  <xsl:template match="i">
    <i>
      <xsl:apply-templates select="*|text()"/>
    </i>
  </xsl:template>
  <xsl:template match="u">
    <u>
      <xsl:apply-templates select="*|text()"/>
    </u>
  </xsl:template>
  <xsl:template match="b">
    <b>
      <xsl:apply-templates select="*|text()"/>
    </b>
  </xsl:template>
  <xsl:template match="s">
    <s>
      <xsl:apply-templates select="*|text()"/>
    </s>
  </xsl:template>
  <xsl:template match="sup">
    <sup>
      <xsl:apply-templates select="*|text()"/>
    </sup>
  </xsl:template>
  <xsl:template match="sub">
    <sub>
      <xsl:apply-templates select="*|text()"/>
    </sub>
  </xsl:template>


</xsl:stylesheet>
