<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output method="xml" indent="yes" doctype-system="DTD/pph-examine-application.dtd" encoding="UTF-8"/>
  <xsl:template match="/pph-examine-application">
    <pph-examine-application receive-num="" receive-date="" dtd-version="2.0.1" application-version="1.0.7" form-version="1.0.6" fee-version="1.0.2" form-type="n" application-num="" status="a" produced-by="applicant">
      <xsl:attribute name="application-num">
        <xsl:value-of select="application-num"/>
      </xsl:attribute>
      <xsl:choose>
        <xsl:when test="count(recognizance3)&gt;0">
          <xsl:attribute name="recognizance3">
            <xsl:text>y</xsl:text>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="recognizance3">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
        <xsl:when test="count(recognizance4)&gt;0">
          <xsl:attribute name="recognizance4">
            <xsl:text>y</xsl:text>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="recognizance4">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
        <xsl:when test="count(recognizance5)&gt;0">
          <xsl:attribute name="recognizance5">
            <xsl:text>y</xsl:text>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="recognizance5">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
        <xsl:when test="count(recognizance6)&gt;0">
          <xsl:attribute name="recognizance6">
            <xsl:text>y</xsl:text>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="recognizance6">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
        <xsl:when test="check-list/contact='未變更本案基本資料'">
          <xsl:attribute name="with-contact">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="with-contact">
            <xsl:text>y</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:copy-of select="case-code"/>
      <file-reference-id>
        <xsl:value-of select="file-reference-id"/>
      </file-reference-id>
      <open-num>
        <xsl:value-of select="open-num"/>
      </open-num>
      <xsl:choose>
        <xsl:when test="count(early-open)&gt;0">
          <early-open stauts="y">
            <xsl:value-of select="early-open"/>
          </early-open>
        </xsl:when>
        <xsl:otherwise>
          <early-open stauts="n"/>
        </xsl:otherwise>
      </xsl:choose>

      <xsl:choose>
        <xsl:when test="with-pph-amendment='是'">
          <with-pph-amendment stauts="y">
            <xsl:value-of select="with-pph-amendment"/>
          </with-pph-amendment>
        </xsl:when>
      </xsl:choose>
          
      <xsl:choose>
        <xsl:when test="with-mistranslation='是'">
          <with-mistranslation stauts="y">
            <xsl:value-of select="with-mistranslation"/>
          </with-mistranslation>
        </xsl:when>
      </xsl:choose>

      <xsl:apply-templates select="invention-title-tw"/>
      <xsl:apply-templates select="invention-title-en"/>
      <xsl:apply-templates select="parties"/>

      <!-- 2013/11/12 申請單編號:045-102-090 ADD BY ALGER -->
      <annotation>
        <dtext>
          <xsl:value-of select="dtext"/>
        </dtext>
      </annotation>
      
      <check-list>
        <xsl:apply-templates select="check-list"/>
      </check-list>
      <fee-sheet lang="" file="" ro="">
        <applicant-name>
          <name>
            <xsl:value-of select="/pph-examine-application/fee-sheet/fee-name"/>
          </name>
          <iid>
            <xsl:value-of select="/pph-examine-application/deposit-account/iid"/>
          </iid>
          <registered-number/>
        </applicant-name>
        <prescribed-fees currency=""/>
        <number-of-claims>
          <item-of-total>
            <xsl:value-of select="/pph-examine-application/summary/item-of-total"/>
          </item-of-total>
        </number-of-claims>
        <deposit-account>
          <authorization/>
          <ro>
            <country/>
          </ro>
          <account-no>
            <xsl:value-of select="/pph-examine-application/deposit-account/account-no"/>
          </account-no>
          <receipt-type>
            <xsl:value-of select="/pph-examine-application/deposit-account/receipt-type"/>
          </receipt-type>
          <date/>
          <name/>
          <registered-number/>
        </deposit-account>
        <dtext>
          <xsl:value-of select="/pph-examine-application/fee-sheet/fee-dtext"/>
        </dtext>        
      </fee-sheet>
      <foreign-applications>
        <xsl:apply-templates select="foreign-applications"/>
      </foreign-applications>
    </pph-examine-application>
  </xsl:template>

  <xsl:template match="invention-title-tw">
    <invention-title lang="tw">
      <xsl:value-of select="."/>
    </invention-title>
  </xsl:template>

  <xsl:template match="invention-title-en">
    <invention-title lang="en">
      <xsl:value-of select="."/>
    </invention-title>
  </xsl:template>

  <xsl:template match="parties">
    <parties>
      <applicants>
        <xsl:choose>
          <xsl:when test="//contact='未變更本案基本資料'">
            <xsl:apply-templates select="//simpleapplicant"/>
          </xsl:when>
          <xsl:otherwise>
            <xsl:apply-templates select="applicant"/>
          </xsl:otherwise>
        </xsl:choose>
      </applicants>
      <xsl:apply-templates select="correspondence-address"/>
      <agents>
        <xsl:choose>
          <xsl:when test="//contact='未變更本案基本資料'">
            <xsl:apply-templates select="//simpleagent"/>
          </xsl:when>
          <xsl:otherwise>
            <xsl:apply-templates select="agent"/>
          </xsl:otherwise>
        </xsl:choose>
      </agents>
    </parties>
  </xsl:template>

  <xsl:template match="applicant">
    <applicant>
      <xsl:attribute name="sequence">
        <xsl:number value="position()" format="1"/>
      </xsl:attribute>
      <xsl:choose>
        <xsl:when test="ap-designated-receiver='是'">
          <xsl:attribute name="designated-receiver">
            <xsl:value-of  select="translate(ap-designated-receiver,'是','y')"/>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="designated-receiver">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>
      <addressbook lang="tw">
        <xsl:choose>
          <xsl:when test="ap-name-type='自然人'">
            <last-name>
              <xsl:value-of select="normalize-space(substring-before(ap-tw-name,','))"/>
            </last-name>
            <first-name>
              <xsl:value-of select="normalize-space(substring-after(ap-tw-name,','))"/>
            </first-name>
          </xsl:when>
          <xsl:otherwise>
            <orgname>
              <xsl:value-of select="normalize-space(ap-tw-comname)"/>
            </orgname>     
          </xsl:otherwise>
        </xsl:choose>
        <role>
          <xsl:value-of select="ap-name-type"/>
        </role>
        <iid>
          <xsl:value-of select="ap-tw-iid"/>
        </iid>
        <registered-number/>
        <representative>
          <xsl:value-of select="ap-tw-representative"/>
        </representative>
        <address lang="tw">
          <zip-code>
            <xsl:value-of select="ap-zip-code"/>
          </zip-code>
          <dtext>
            <xsl:value-of select="ap-tw-address"/>
          </dtext>
        </address>
        <phones>
          <phone-region/>
          <phone>
            <xsl:value-of select="ap-tw-phone"/>
          </phone>
        </phones>
        <fax>
          <xsl:value-of select="ap-tw-fax"/>
        </fax>
        <cell-phone>
          <xsl:value-of select="ap-tw-cell-phone"/>
        </cell-phone>
        <email>
          <xsl:value-of select="ap-tw-email"/>
        </email>
      </addressbook>
      <addressbook lang="en">
        <xsl:choose>
          <xsl:when test="ap-name-type='自然人'">
            <last-name>
              <xsl:value-of select="normalize-space(substring-before(ap-en-name,','))"/>
            </last-name>
            <first-name>
              <xsl:value-of select="normalize-space(substring-after(ap-en-name,','))"/>
            </first-name>
          </xsl:when>
          <xsl:otherwise>
            <orgname>
              <xsl:value-of select="normalize-space(ap-en-comname)"/>
            </orgname>
          </xsl:otherwise>
        </xsl:choose>
        <iid>
          <xsl:value-of select="ap-tw-iid"/>
        </iid>
        <registered-number/>
        <representative>
          <xsl:value-of select="ap-en-representative"/>
        </representative>
        <address lang="en">
          <dtext>
            <xsl:value-of select="ap-en-address"/>
          </dtext>
        </address>
        <email/>
      </addressbook>
      <nationality>
        <country>
          <xsl:value-of select="substring(ap-country,'3')"/>
        </country>
        <country-code>
          <xsl:value-of select="substring(ap-country,'1','2')"/>
        </country-code>
      </nationality>
      <residence>
        <country>
          <xsl:value-of select="ap-living-country"/>
        </country>
      </residence>
      <legal-representative lang="tw">
        <addressbook lang="tw">
          <last-name>
            <xsl:value-of select="normalize-space(substring-before(ap-tw-legal-name,','))"/>
          </last-name>
          <first-name>
            <xsl:value-of select="normalize-space(substring-after(ap-tw-legal-name,','))"/>
          </first-name>
          <iid>
            <xsl:value-of select="ap-tw-legal-iid"/>
          </iid>
          <registered-number />
          <address lang="tw">
            <dtext />
          </address>
          <email />
        </addressbook>
      </legal-representative>
    </applicant>
  </xsl:template>
  <xsl:template match="simpleapplicant">
    <applicant>
      <xsl:attribute name="sequence">
        <xsl:number value="position()" format="1"/>
      </xsl:attribute>
      <xsl:attribute name="designated-receiver">
        <xsl:text>n</xsl:text>
      </xsl:attribute>
      <addressbook lang="tw">
        <xsl:choose>
          <xsl:when test="count(simpleap-tw-name)&gt;0">
            <last-name>
              <xsl:value-of select="normalize-space(substring-before(simpleap-tw-name,','))"/>
            </last-name>
            <first-name>
              <xsl:value-of select="normalize-space(substring-after(simpleap-tw-name,','))"/>
            </first-name>
          </xsl:when>
          <xsl:otherwise>
            <orgname>
              <xsl:value-of select="normalize-space(simpleap-tw-comname)"/>
            </orgname>
          </xsl:otherwise>
        </xsl:choose>
        <role/>
        <iid/>
        <registered-number />
        <representative />
        <address lang="tw">
          <zip-code/>
          <dtext />
        </address>
        <phones>
          <phone-region />
          <phone />
        </phones>
        <fax />
        <cell-phone />
        <email />
      </addressbook>
      <addressbook lang="en">
        <xsl:choose>
          <xsl:when test="count(simpleap-en-name)&gt;0">
            <last-name>
              <xsl:value-of select="normalize-space(substring-before(simpleap-en-name,','))"/>
            </last-name>
            <first-name>
              <xsl:value-of select="normalize-space(substring-after(simpleap-en-name,','))"/>
            </first-name>
          </xsl:when>
          <xsl:otherwise>
            <orgname>
              <xsl:value-of select="normalize-space(simpleap-en-comname)"/>
            </orgname>
          </xsl:otherwise>
        </xsl:choose>
        <iid/>
        <registered-number />
        <representative />
        <address lang="en">
          <dtext />
        </address>
        <email />
      </addressbook>
      <nationality>
        <country>
          <xsl:value-of select="substring(simpleap-country,'3')"/>
        </country>
        <country-code>
          <xsl:value-of select="substring(simpleap-country,'1','2')"/>
        </country-code>
      </nationality>
      <residence>
        <country />
      </residence>
      <legal-representative lang="tw">
        <addressbook lang="tw">
          <last-name />
          <first-name />
          <iid />
          <registered-number />
          <address lang="tw">
            <dtext />
          </address>
          <email />
        </addressbook>
      </legal-representative>
    </applicant>
  </xsl:template>

  <xsl:template match="correspondence-address">
    <correspondence-address>
      <addressbook lang="tw">
        <last-name>
          <xsl:value-of select="normalize-space(substring-before(co-tw-name,','))"/>
        </last-name>
        <first-name>
          <xsl:value-of select="normalize-space(substring-after(co-tw-name,','))"/>
        </first-name>
        <iid>
          <xsl:value-of select="co-tw-iid"/>
        </iid>
        <registered-number/>
        <address lang="tw">
          <zip-code>
            <xsl:value-of select="co-zip-code"/>
          </zip-code>
          <dtext>
            <xsl:value-of select="co-tw-address"/>
          </dtext>
        </address>
        <phones>
          <phone-region/>
          <phone>
            <xsl:value-of select="co-tw-phone"/>
          </phone>
        </phones>
        <email/>
      </addressbook>
    </correspondence-address>
  </xsl:template>

  <xsl:template match="agent">
    <agent agent-type="agent" rep-type="agent">
      <xsl:attribute name="sequence">
        <xsl:number value="position()" format="1"/>
      </xsl:attribute>
      <addressbook lang="tw">
        <last-name>
          <xsl:value-of select="normalize-space(substring-before(ag-tw-name,','))"/>
        </last-name>
        <first-name>
          <xsl:value-of select="normalize-space(substring-after(ag-tw-name,','))"/>
        </first-name>
        <iid>
          <xsl:value-of select="ag-tw-iid"/>
        </iid>
        <registered-number/>
        <address lang="tw">
          <zip-code>
            <xsl:value-of select="ag-zip-code"/>
          </zip-code>
          <dtext>
            <xsl:value-of select="ag-tw-address"/>
          </dtext>
        </address>
        <phones>
          <phone-region/>
          <phone>
            <xsl:value-of select="ag-tw-phone"/>
          </phone>
        </phones>
        <fax>
          <xsl:value-of select="ag-tw-fax"/>
        </fax>
        <cell-phone>
          <xsl:value-of select="ag-tw-cell-phone"/>
        </cell-phone>
        <email>
          <xsl:value-of select="ag-tw-email"/>
        </email>
      </addressbook>
      <customer-number>
        <xsl:value-of select="ag-customer-number"/>
      </customer-number>
    </agent>
  </xsl:template>
  <xsl:template match="simpleagent">
    <agent agent-type="agent" rep-type="agent">
      <xsl:attribute name="sequence">
        <xsl:number value="position()" format="1"/>
      </xsl:attribute>
      <addressbook lang="tw">
        <last-name>
          <xsl:value-of select="normalize-space(substring-before(simpleag-tw-name,','))"/>
        </last-name>
        <first-name>
          <xsl:value-of select="normalize-space(substring-after(simpleag-tw-name,','))"/>
        </first-name>
        <iid/>
        <registered-number/>
        <address lang="tw">
          <zip-code/>
          <dtext/>
        </address>
        <phones>
          <phone-region/>
          <phone/>
        </phones>
        <fax/>
        <cell-phone/>
        <email/>
      </addressbook>
      <customer-number/>
    </agent>
  </xsl:template>
  <xsl:template match="foreign-applications">
    <incident case-num="A">
	    <country>
        <xsl:value-of select="substring(country,'1','2')"/>
      </country>
	    <application-num>
        <xsl:value-of select="foreign-application-num"/>
      </application-num>
      <xsl:choose>
        <xsl:when test="count(foreign-open-num)&gt;0">
          <open-num>
            <xsl:value-of select="foreign-open-num"/>
          </open-num>        
        </xsl:when>
        <xsl:otherwise>
          <open-num>
            <xsl:text> </xsl:text>
          </open-num>           
        </xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
      <xsl:when test="count(foreign-announcement-num)&gt;0">
          <announcement-num>
            <xsl:value-of select="foreign-announcement-num"/>
          </announcement-num>        
        </xsl:when>
        <xsl:otherwise>
          <announcement-num>
            <xsl:text> </xsl:text>
          </announcement-num>           
        </xsl:otherwise>
      </xsl:choose>
    </incident>
  </xsl:template>

  <xsl:attribute-set name="AddPageCount">
    <xsl:attribute name="add">y</xsl:attribute>
    <xsl:attribute name="page-count"/>
  </xsl:attribute-set>
  
  <xsl:attribute-set name="Add">
    <xsl:attribute name="add">y</xsl:attribute>
  </xsl:attribute-set>

  <xsl:attribute-set name="AddLang">
    <xsl:attribute name="add">y</xsl:attribute>
    <xsl:attribute name="lang"/>
  </xsl:attribute-set>

  <xsl:template match="abstract01 | abstract02">
    <abstract add="y" page-count="">
      <xsl:apply-templates select="*|node()"/>
    </abstract>
  </xsl:template>

  <xsl:template match="claims01 | claims02">
    <claims add="y" page-count="">
      <xsl:apply-templates select="*|node()"/>
    </claims>
  </xsl:template>

  <xsl:template match="description01 | description02 | description03 | description04 ">
    <description add="y" page-count="">
      <xsl:apply-templates select="*|node()"/>
    </description>
  </xsl:template>

  <xsl:template match="drawing01 | drawing02 | drawing03|drawing04">
    <drawing add="y">
      <xsl:attribute name="page-count">
        <xsl:value-of select='preceding::drawing-num'/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </drawing>
  </xsl:template>

  <xsl:template match="without-line-abstract-complete01 | without-line-abstract-complete02">
    <without-line-abstract-complete add="y">
      <xsl:apply-templates select="*|node()"/>
    </without-line-abstract-complete>
  </xsl:template>

  <xsl:template match="without-line-description-complete01 | without-line-description-complete02 | without-line-description-complete03">
    <without-line-description-complete add="y">
      <xsl:apply-templates select="*|node()"/>
    </without-line-description-complete>
  </xsl:template>

  <xsl:template match="without-line-claims-complete01 | without-line-claims-complete02">
    <without-line-claims-complete add="y">
      <xsl:apply-templates select="*|node()"/>
    </without-line-claims-complete>
  </xsl:template>

  <xsl:template match="drawing-complete01 | drawing-complete02 | drawing-complete03">
    <drawing-complete add="y" >
      <xsl:apply-templates select="*|node()"/>
    </drawing-complete>
  </xsl:template>
  
  <xsl:template match="without-line-sequence">
    <without-line-sequence add="y" >
      <xsl:apply-templates select="*|node()"/>
    </without-line-sequence>
  </xsl:template>
  
  <xsl:template match="mistranslation-sequence">
    <mistranslation-sequence add="y" >
      <xsl:apply-templates select="*|node()"/>
    </mistranslation-sequence>
  </xsl:template>
      
  <xsl:template match="mistranslation-amendment-sequence">
    <mistranslation-amendment-sequence add="y" >
      <xsl:apply-templates select="*|node()"/>
    </mistranslation-amendment-sequence>
  </xsl:template>
  
  <xsl:template match="with-line-abstract-page01 | with-line-abstract-page02">
    <with-line-abstract-page add="y">
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </with-line-abstract-page>
  </xsl:template>

  <xsl:template match="with-line-description-page01 | with-line-description-page02 | with-line-description-page03">
    <with-line-description-page add="y">
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </with-line-description-page>
  </xsl:template>

  <xsl:template match="with-line-claims-page01 | with-line-claims-page02">
    <with-line-claims-page add="y">
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </with-line-claims-page>
  </xsl:template>
<!--045-105-000128-->
  <xsl:template match="correction-without-line-abstract-complete01">
    <correction-without-line-abstract-complete add="y">
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </correction-without-line-abstract-complete>  
</xsl:template>

  <xsl:template match="correction-without-line-description-complete01">
    <correction-without-line-description-complete add="y">
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </correction-without-line-description-complete>
  </xsl:template>

  <xsl:template match="correction-without-line-claims-complete01">
    <correction-without-line-claims-complete add="y">
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </correction-without-line-claims-complete>
  </xsl:template>

  <xsl:template match="correction-without-line-drawing-complete01">
    <correction-without-line-drawing-complete add="y" >
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </correction-without-line-drawing-complete>
  </xsl:template>
  
  <xsl:template match="mistranslation-abstract-complete01">
    <mistranslation-abstract-complete add="y">
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </mistranslation-abstract-complete>
  </xsl:template>

  <xsl:template match="mistranslation-description-complete01">
    <mistranslation-description-complete add="y">
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </mistranslation-description-complete>
  </xsl:template>
  
  <xsl:template match="mistranslation-claims-complete01">
    <mistranslation-claims-complete add="y">
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </mistranslation-claims-complete>
  </xsl:template>

  <xsl:template match="mistranslation-drawing-complete01">
    <mistranslation-drawing-complete add="y" >
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </mistranslation-drawing-complete>  
</xsl:template>

  <xsl:template match="with-line-mistranslation-abstract-page01">
    <with-line-mistranslation-abstract-page add="y">
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </with-line-mistranslation-abstract-page>
  </xsl:template>

  <xsl:template match="with-line-mistranslation-description-page01">
    <with-line-mistranslation-description-page add="y">
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </with-line-mistranslation-description-page>
  </xsl:template>

  <xsl:template match="with-line-mistranslation-claims-page01">
    <with-line-mistranslation-claims-page add="y">
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </with-line-mistranslation-claims-page>
  </xsl:template>

  <xsl:template match="with-line-mistranslation-drawing-page01">
    <with-line-mistranslation-drawing-page add="y" >
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </with-line-mistranslation-drawing-page>
  </xsl:template>
  
  <xsl:template match="foreign-specification">
    <foreign-specification>
      <xsl:attribute name="add">y</xsl:attribute>
      <xsl:attribute name="lang"/>
      <xsl:attribute name="count">
        <xsl:value-of select='preceding::foreign-specification-page-count'/>
      </xsl:attribute>
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </foreign-specification>
  </xsl:template>
  
  <xsl:template match="simplified-specification">
    <simplified-specification>
      <xsl:attribute name="add">y</xsl:attribute>
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </simplified-specification>
  </xsl:template>
  
 <xsl:template match="foreign-specification-sequence">
    <foreign-specification-sequence>
      <xsl:attribute name="add">y</xsl:attribute>
      <xsl:attribute name="lang"/>
      <xsl:attribute name="count">
        <xsl:value-of select='preceding::foreign-specification-sequence-page-count'/>
      </xsl:attribute>
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </foreign-specification-sequence>
  </xsl:template>
  
  <xsl:template match="simplified-specification-sequence">
    <simplified-specification-sequence>
      <xsl:attribute name="add">y</xsl:attribute>
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </simplified-specification-sequence>
  </xsl:template>

  <xsl:template match="opt-claim06">
    <opt-claim>
      <xsl:text>6</xsl:text>
    </opt-claim>
  </xsl:template>
  <xsl:template match="opt-claim07">
    <opt-claim>
      <xsl:text>7</xsl:text>
    </opt-claim>
    <opt-plus>
      <xsl:if test="string-length(../opt-claim07/claim07-amount-total) &gt;0">
        <xsl:text>1</xsl:text>
      </xsl:if>
      <xsl:if test="string-length(../opt-claim07/claim07-amount-refund) &gt;0">
        <xsl:text>0</xsl:text>
      </xsl:if>
    </opt-plus>
  </xsl:template>
  
  <xsl:template match="spec-frontpage| 
                application-form| 
                reexam-reason| 
                allegation-document| 
                right-of-filing-document| 
                power-of-attorney| 
                international-priority1| 
                domestic-specification| 
                international-priority|
                domestic-security| 
                domestic-bio-doc| 
                international-bio-doc | 
                easily-obtained-doc |
                viability-statement| 
                lack-of-novelty-0| 
                practice-doc| 
                assignment-certificate| 
                absorb-company| 
                other-consent|
                death-certificate| 
                inheritance-table| 
                census-register| 
                inheritance-certificate| 
                renounce-inheritance-certificate| 
                will-notarization|
                apart-agreement-and-seal-certificate| 
                signs-jointly-book | 
                spec-source-file | 
                foreign-exam-submissions-list |
                foreign-exam-submissions |
                foreign-exam-submissions-translation |
                foreign-exam-claims |
                foreign-exam-claims-translation |
                approval-citations |
                uspto-public-pair-paper |
                jpo-aipn-paper |
                spto-expedientes-digitalizados-paper |
                kipo-k-pion-paper |
                ppo-publication-paper |
                Foreign-submission-paper|
                uspto-public-pair-claims |
                jpo-aipn-claims |
                spto-expedientes-digitalizados-claims |
                kipo-k-pion-claims |
                ppo-publication-claims |
                Foreign-Scope-claims|
                pph-amendment-application-form |
                mistranslation-application-form |
                claims-scope |
                page-of-specification |
                numbers-of-claims |
			          with-line-sequence |
                with-line-mistranslation-sequence |
                contact">
    <xsl:copy use-attribute-sets="Add">
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </xsl:copy>
  </xsl:template>
  
  <xsl:template match="check-list">
    <xsl:apply-templates select="abstract01[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="abstract02[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="description01[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="description02[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="description03[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="description04[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="claims01[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="claims02[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="drawing01[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="drawing02[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="drawing03[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="drawing04[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="without-line-abstract-complete01[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="without-line-abstract-complete02[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="without-line-description-complete01[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="without-line-description-complete02[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="without-line-description-complete03[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="without-line-claims-complete01[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="without-line-claims-complete02[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="drawing-complete01[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="drawing-complete02[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="drawing-complete03[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="with-line-abstract-page01[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="with-line-abstract-page02[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="with-line-description-page01[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="with-line-description-page02[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="with-line-description-page03[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="with-line-claims-page01[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="with-line-claims-page02[string-length(string())&gt;'0']"/>
    <!--045-105-000128-->
    <xsl:apply-templates select="mistranslation-abstract-complete01[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="mistranslation-description-complete01[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="mistranslation-claims-complete01[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="mistranslation-drawing-complete01[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="with-line-mistranslation-abstract-page01[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="with-line-mistranslation-description-page01[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="with-line-mistranslation-claims-page01[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="with-line-mistranslation-drawing-page01[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="correction-without-line-abstract-complete01[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="correction-without-line-description-complete01[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="correction-without-line-claims-complete01[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="correction-without-line-drawing-complete01[string-length(string())&gt;'0']"/>
    <!--045-105-000128-->
    <xsl:apply-templates select="spec-frontpage[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="application-form[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="reexam-reason[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="allegation-document[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="right-of-filing-document[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="power-of-attorney[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="mistranslation-application-form[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="foreign-specification[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="simplified-specification[string-length(string())&gt;'0']"/>
	<xsl:apply-templates select="foreign-specification-sequence[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="simplified-specification-sequence[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="international-priority[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="international-priority1[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="domestic-specification[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="domestic-security[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="domestic-bio-doc[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="international-bio-doc[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="easily-obtained-doc[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="viability-statement[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="lack-of-novelty-0[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="lack-of-novelty-1[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="lack-of-novelty-2[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="practice-doc[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="assignment-certificate[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="absorb-company[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="other-consent[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="death-certificate[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="inheritance-table[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="census-register[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="inheritance-certificate[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="renounce-inheritance-certificate[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="will-notarization[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="apart-agreement-and-seal-certificate[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="signs-jointly-book[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="spec-source-file[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="foreign-exam-submissions-list [string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="foreign-exam-submissions [string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="foreign-exam-submissions-translation [string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="foreign-exam-claims [string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="foreign-exam-claims-translation [string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="approval-citations [string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="uspto-public-pair-paper [string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="jpo-aipn-paper [string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="spto-expedientes-digitalizados-paper [string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="kipo-k-pion-paper [string-length(string())&gt;'0']"/>
    <!--045-106-000103-->
    <xsl:apply-templates select="ppo-publication-paper [string-length(string())&gt;'0']"/>
    <!--045-106-000171-->
    <xsl:apply-templates select="Foreign-submission-paper [string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="uspto-public-pair-claims [string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="jpo-aipn-claims [string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="spto-expedientes-digitalizados-claims [string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="kipo-k-pion-claims [string-length(string())&gt;'0']"/>
    <!--045-106-000103-->
    <xsl:apply-templates select="ppo-publication-claims [string-length(string())&gt;'0']"/>
    <!--045-106-000171-->
    <xsl:apply-templates select="Foreign-Scope-claims [string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="claims-scope [string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="pph-amendment-application-form [string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="without-line-sequence[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="with-line-sequence[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="mistranslation-sequence[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="mistranslation-amendment-sequence[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="with-line-mistranslation-sequence[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="contact[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="cl-other-document[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="../opt-claim06[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="../opt-claim07[string-length(string())&gt;'0']"/>
  </xsl:template>
  
  <xsl:template match="cl-other-document">
    <cl-other-document>
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <doc-description>
        <xsl:value-of select="doc-description"/>
      </doc-description>
      <doc-filename>
        <xsl:value-of select="doc-filename"/>
      </doc-filename>
    </cl-other-document>
  </xsl:template>
</xsl:stylesheet>
